#!/bin/sh

VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
ro=`${VCSHOME}/bin/haclus -value ReadOnly`
if [ $ro -eq 1 ];
then
	${VCSHOME}/bin/haconf -makerw
fi

${VCSHOME}/bin/hatype -add OraDG
${VCSHOME}/bin/hatype -modify OraDG SourceFile "./OraDGTypes.cf"
${VCSHOME}/bin/hatype -modify OraDG SupportedActions DGStatus DGDemotePri activateStandby deactivateStandby getremoteSCN flashbackRecover SnapshotOn SnapshotOff
${VCSHOME}/bin/hatype -modify OraDG ArgList LinkRes AgentDebug Encoding Flashback
${VCSHOME}/bin/hatype -modify OraDG OnlineRetryLimit 1
${VCSHOME}/bin/hatype -modify OraDG OnlineTimeout 1800
${VCSHOME}/bin/hatype -modify OraDG RestartLimit 1
${VCSHOME}/bin/haattr -add OraDG LinkRes -string
${VCSHOME}/bin/haattr -add OraDG AgentDebug -boolean 0
${VCSHOME}/bin/haattr -add OraDG Encoding -string
${VCSHOME}/bin/haattr -add OraDG Flashback -boolean 0

${VCSHOME}/bin/hatype -add OraDGSnap
${VCSHOME}/bin/hatype -modify OraDGSnap SourceFile "./OraDGTypes.cf"
${VCSHOME}/bin/hatype -modify OraDGSnap ArgList TargetRes SnapMode
${VCSHOME}/bin/hatype -modify OraDGSnap OnlineRetryLimit 1
${VCSHOME}/bin/hatype -modify OraDGSnap OnlineTimeout 1800
${VCSHOME}/bin/hatype -modify OraDGSnap RestartLimit 1
${VCSHOME}/bin/haattr -add OraDGSnap TargetRes -string
${VCSHOME}/bin/haattr -add OraDGSnap SnapMode -string "rw"


${VCSHOME}/bin/hatype -add OraDGBroker
${VCSHOME}/bin/hatype -modify OraDGBroker SourceFile "./OraDGTypes.cf"
${VCSHOME}/bin/hatype -modify OraDGBroker SupportedActions DGStatus ActRemote
${VCSHOME}/bin/hatype -modify OraDGBroker ArgList Sid Home AgentDebug Encoding
${VCSHOME}/bin/hatype -modify OraDGBroker MonitorTimeout 120
${VCSHOME}/bin/hatype -modify OraDGBroker OnlineRetryLimit 1
${VCSHOME}/bin/hatype -modify OraDGBroker OnlineTimeout 1800
${VCSHOME}/bin/hatype -modify OraDGBroker RestartLimit 1
${VCSHOME}/bin/haattr -add OraDGBroker Sid -string
${VCSHOME}/bin/haattr -add OraDGBroker Home -string
${VCSHOME}/bin/haattr -add OraDGBroker AgentDebug -boolean 0
${VCSHOME}/bin/haattr -add OraDGBroker Encoding -string

if [ $ro -eq 1 ];
then
	${VCSHOME}/bin/haconf -dump -makero
else
	${VCSHOME}/bin/haconf -dump
fi

